Subject: bug#29183: 27.0.50; SIGSEGV on C-g on Windows

From: John Mastro <[email-masked]>
Date: Mon, 6 Nov 2017 13:58:30 -0800

[ Earlier today I opened bug #29180 about needing to bump
  DUMPED_HEAP_SIZE to bootstrap on MINGW64. The following is in a build
  with that patch applied, but I don't know if the two are related. ]

On master (at commit 1d8f885) on 64-bit Windows 10 I get a SIGSEGV as
soon as I hit C-g. Just "emacs -Q; C-g" is enough to trigger it.

I've attached the output of a GDB session with "bt full" ("xbacktrace"
didn't print anything). Please let me know if I can provide any further
information.

I tried to reproduce the error with an -O0 build, but it doesn't occur
then. The backtrace is from an -O2 build.

Thanks

John